package cn.ibizlab.r7.runtime.client.base.model;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;
import java.io.Serializable;
import java.math.BigDecimal;
import cn.ibizlab.r7.runtime.core.client.model.IApplication;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * 接口实体[Application] 对象
 */
public class ApplicationImpl implements IApplication,Serializable{

    /**
     * 更新时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    public Timestamp updateDate;

    @JsonIgnore
    public boolean updateDateDirtyFlag;
    
    /**
     * 更新人
     */
    public String updateMan;

    @JsonIgnore
    public boolean updateManDirtyFlag;
    
    /**
     * 业务系统前端应用名称
     */
    public String applicationName;

    @JsonIgnore
    public boolean applicationNameDirtyFlag;
    
    /**
     * 是否启用
     */
    public Integer enable;

    @JsonIgnore
    public boolean enableDirtyFlag;
    
    /**
     * 业务系统前端应用标识
     */
    public String applicationId;

    @JsonIgnore
    public boolean applicationIdDirtyFlag;
    
    /**
     * 建立时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    public Timestamp createDate;

    @JsonIgnore
    public boolean createDateDirtyFlag;
    
    /**
     * 建立人
     */
    public String createMan;

    @JsonIgnore
    public boolean createManDirtyFlag;
    
    /**
     * 业务系统标识
     */
    public String systemId;

    @JsonIgnore
    public boolean systemIdDirtyFlag;
    
    /**
     * 获取 [更新时间]
     */
    @JsonProperty("updatedate")
    public Timestamp getUpdateDate(){
        return this.updateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    @JsonProperty("updatedate")
    public void setUpdateDate(Timestamp  updateDate){
        this.updateDate = updateDate ;
        this.updateDateDirtyFlag = true ;
    }

     /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    public boolean getUpdateDateDirtyFlag(){
        return this.updateDateDirtyFlag ;
    }   

    /**
     * 获取 [更新人]
     */
    @JsonProperty("updateman")
    public String getUpdateMan(){
        return this.updateMan ;
    }

    /**
     * 设置 [更新人]
     */
    @JsonProperty("updateman")
    public void setUpdateMan(String  updateMan){
        this.updateMan = updateMan ;
        this.updateManDirtyFlag = true ;
    }

     /**
     * 获取 [更新人]脏标记
     */
    @JsonIgnore
    public boolean getUpdateManDirtyFlag(){
        return this.updateManDirtyFlag ;
    }   

    /**
     * 获取 [业务系统前端应用名称]
     */
    @JsonProperty("applicationname")
    public String getApplicationName(){
        return this.applicationName ;
    }

    /**
     * 设置 [业务系统前端应用名称]
     */
    @JsonProperty("applicationname")
    public void setApplicationName(String  applicationName){
        this.applicationName = applicationName ;
        this.applicationNameDirtyFlag = true ;
    }

     /**
     * 获取 [业务系统前端应用名称]脏标记
     */
    @JsonIgnore
    public boolean getApplicationNameDirtyFlag(){
        return this.applicationNameDirtyFlag ;
    }   

    /**
     * 获取 [是否启用]
     */
    @JsonProperty("enable")
    public Integer getEnable(){
        return this.enable ;
    }

    /**
     * 设置 [是否启用]
     */
    @JsonProperty("enable")
    public void setEnable(Integer  enable){
        this.enable = enable ;
        this.enableDirtyFlag = true ;
    }

     /**
     * 获取 [是否启用]脏标记
     */
    @JsonIgnore
    public boolean getEnableDirtyFlag(){
        return this.enableDirtyFlag ;
    }   

    /**
     * 获取 [业务系统前端应用标识]
     */
    @JsonProperty("applicationid")
    public String getApplicationId(){
        return this.applicationId ;
    }

    /**
     * 设置 [业务系统前端应用标识]
     */
    @JsonProperty("applicationid")
    public void setApplicationId(String  applicationId){
        this.applicationId = applicationId ;
        this.applicationIdDirtyFlag = true ;
    }

     /**
     * 获取 [业务系统前端应用标识]脏标记
     */
    @JsonIgnore
    public boolean getApplicationIdDirtyFlag(){
        return this.applicationIdDirtyFlag ;
    }   

    /**
     * 获取 [建立时间]
     */
    @JsonProperty("createdate")
    public Timestamp getCreateDate(){
        return this.createDate ;
    }

    /**
     * 设置 [建立时间]
     */
    @JsonProperty("createdate")
    public void setCreateDate(Timestamp  createDate){
        this.createDate = createDate ;
        this.createDateDirtyFlag = true ;
    }

     /**
     * 获取 [建立时间]脏标记
     */
    @JsonIgnore
    public boolean getCreateDateDirtyFlag(){
        return this.createDateDirtyFlag ;
    }   

    /**
     * 获取 [建立人]
     */
    @JsonProperty("createman")
    public String getCreateMan(){
        return this.createMan ;
    }

    /**
     * 设置 [建立人]
     */
    @JsonProperty("createman")
    public void setCreateMan(String  createMan){
        this.createMan = createMan ;
        this.createManDirtyFlag = true ;
    }

     /**
     * 获取 [建立人]脏标记
     */
    @JsonIgnore
    public boolean getCreateManDirtyFlag(){
        return this.createManDirtyFlag ;
    }   

    /**
     * 获取 [业务系统标识]
     */
    @JsonProperty("systemid")
    public String getSystemId(){
        return this.systemId ;
    }

    /**
     * 设置 [业务系统标识]
     */
    @JsonProperty("systemid")
    public void setSystemId(String  systemId){
        this.systemId = systemId ;
        this.systemIdDirtyFlag = true ;
    }

     /**
     * 获取 [业务系统标识]脏标记
     */
    @JsonIgnore
    public boolean getSystemIdDirtyFlag(){
        return this.systemIdDirtyFlag ;
    }   

}
